src/Entity/Type.php
<?php

namespace App\Entity;

use App\Repository\TypeRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=TypeRepository::class)
 */
class Type
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=50)
     */
    private $title_type;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    private $description_type;

    /**
     * @ORM\ManyToMany(targetEntity=Game::class, mappedBy="type")
     */
    private $game;

    public function __construct()
    {
        $this->game = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTitleType(): ?string
    {
        return $this->title_type;
    }

    public function setTitleType(string $title_type): self
    {
        $this->title_type = $title_type;

        return $this;
    }

    public function getDescriptionType(): ?string
    {
        return $this->description_type;
    }

    public function setDescriptionType(?string $description_type): self
    {
        $this->description_type = $description_type;

        return $this;
    }

    /**
     * @return Collection|Game[]
     */
    public function getGame(): Collection
    {
        return $this->game;
    }

    public function addGame(Game $game): self
    {
        if (!$this->game->contains($game)) {
            $this->game[] = $game;
            $game->addType($this);
        }

        return $this;
    }

    public function removeGame(Game $game): self
    {
        if ($this->game->removeElement($game)) {
            $game->removeType($this);
        }

        return $this;
    }
}

src/Form/TypeType.php
<?php

namespace App\Form;

use App\Entity\Type;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class TypeType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('title_type')
            ->add('description_type')
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => Type::class,
        ]);
    }
}

src/Controller/TypeController.php
<?php

namespace App\Controller;

use App\Entity\Type;
use App\Form\TypeType;
use App\Repository\TypeRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/admin/type")
 */
class TypeController extends AbstractController
{
    /**
     * @Route("/", name="type_index", methods={"GET"})
     */
    public function index(TypeRepository $typeRepository): Response
    {
        return $this->render('type/index.html.twig', [
            'types' => $typeRepository->findAll(),
        ]);
    }

    /**
     * @Route("/new", name="type_new", methods={"GET","POST"})
     */
    public function new(Request $request): Response
    {
        $type = new Type();
        $form = $this->createForm(TypeType::class, $type);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->persist($type);
            $entityManager->flush();

            return $this->redirectToRoute('type_index');
        }

        return $this->render('type/new.html.twig', [
            'type' => $type,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="type_show", methods={"GET"})
     */
    public function show(Type $type): Response
    {
        return $this->render('type/show.html.twig', [
            'type' => $type,
        ]);
    }

    /**
     * @Route("/{id}/edit", name="type_edit", methods={"GET","POST"})
     */
    public function edit(Request $request, Type $type): Response
    {
        $form = $this->createForm(TypeType::class, $type);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('type_index');
        }

        return $this->render('type/edit.html.twig', [
            'type' => $type,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="type_delete", methods={"POST"})
     */
    public function delete(Request $request, Type $type): Response
    {
        if ($this->isCsrfTokenValid('delete'.$type->getId(), $request->request->get('_token'))) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->remove($type);
            $entityManager->flush();
        }

        return $this->redirectToRoute('type_index');
    }
}

templates/type/_delete_form.html.twig
<form method="post" action="{{ path('type_delete', {'id': type.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ type.id) }}">
    <button class="btn">Delete</button>
</form>

templates/type/_form.html.twig
 <div class="mdl-grid mdl-cell mdl-cell--12-col-desktop mdl-cell--12-col-tablet mdl-cell--4-col-phone mdl-cell--top">

        <div class="mdl-cell mdl-cell--7-col-desktop mdl-cell--7-col-tablet mdl-cell--4-col-phone">
            <div class="mdl-card mdl-shadow--2dp">
                <div class="mdl-card__title">
                    <h5 class="mdl-card__title-text text-color--white">Create new Type</h5>
                </div>

                <div class="mdl-card__supporting-text">

                    {{ form_start(form) }}

                        <div class="mdl-cell mdl-cell--6-col-desktop mdl-cell--6-col-tablet mdl-cell--4-col-phone form__article">
                            <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                                {{ form_widget(form.title_type, { 'attr': {'class': 'mdl-textfield__input' , 'name': 'floating-first-name'} }) }}
                                <label class="mdl-textfield__label" for="floating-first-name">Title type</label>
                            </div>
                            <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                                {{ form_widget(form.description_type, { 'attr': {'class': 'mdl-textfield__input', 'name': 'floating-first-name'} }) }}
                                <label class="mdl-textfield__label" for="floating-last-name">Description</label>
                            </div>
                            <button class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect button--colored-light-blue">
                                {{ button_label|default('Save') }}
                            </button>
                            <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                                <a href="{{ path('type_index') }}">back to list</a>
                            </div>
                        </div>

                    {{ form_end(form) }}

                </div>

            </div>
        </div>
    </div>

templates/type/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Type{% endblock %}

{% block body %}
    <h1>Edit Type</h1>

    {{ include('type/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('type_index') }}">back to list</a>

    {{ include('type/_delete_form.html.twig') }}
{% endblock %}

templates/type/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Type index{% endblock %}

{% block body %}
    {#<h1>Type index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title_type</th>
                <th>Description_type</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for type in types %}
            <tr>
                <td>{{ type.id }}</td>
                <td>{{ type.titleType }}</td>
                <td>{{ type.descriptionType }}</td>
                <td>
                    <a href="{{ path('type_show', {'id': type.id}) }}">show</a>
                    <a href="{{ path('type_edit', {'id': type.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('type_new') }}">Create new</a>#}

    <div class="mdl-cell mdl-cell--12-col-desktop mdl-cell--12-col-tablet mdl-cell--4-col-phone scroll-tab">
        <div class="mdl-card mdl-shadow--2dp">
            <div class="mdl-card__title">
                <h1 class="mdl-card__title-text">Types</h1>
            </div>
            <div class="mdl-card__supporting-text no-padding">
                <table class="mdl-data-table mdl-js-data-table">
                    <thead>
                    <tr>
                        <th class="mdl-data-table__cell--non-numeric">Id</th>
                        <th class="mdl-data-table__cell--non-numeric">Name_plat</th>
                        <th class="mdl-data-table__cell--non-numeric">Description_plat</th>
                        <th class="mdl-data-table__cell--non-numeric">actions</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for type in types %}
                        <tr>
                            <td class="mdl-data-table__cell--non-numeric">{{ type.id }}</td>
                            <td class="mdl-data-table__cell--non-numeric">{{ type.titleType }}</td>
                            <td class="mdl-data-table__cell--non-numeric">{{ type.descriptionType }}</td>
                            <td class="mdl-data-table__cell--non-numeric">
                                <a href="{{ path('type_show', {'id': type.id}) }}">show</a>
                                <a href="{{ path('type_edit', {'id': type.id}) }}">edit</a>
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="7">no records found</td>
                        </tr>
                    {% endfor %}
                    <tr>
                        <td colspan="0"> <a href="{{ path('type_new') }}">Create new</a></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}

templates/type/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Type{% endblock %}

{% block body %}

    {{ include('type/_form.html.twig') }}

{% endblock %}

templates/type/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}Type{% endblock %}

{% block body %}
    <h1>Type</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ type.id }}</td>
            </tr>
            <tr>
                <th>Title_type</th>
                <td>{{ type.titleType }}</td>
            </tr>
            <tr>
                <th>Description_type</th>
                <td>{{ type.descriptionType }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('type_index') }}">back to list</a>

    <a href="{{ path('type_edit', {'id': type.id}) }}">edit</a>

    {{ include('type/_delete_form.html.twig') }}
{% endblock %}